Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class VisibilityHelper

    java.lang.Object
      org.omg.CORBA.VisibilityHelper

    public abstract class VisibilityHelper

extends Object

The Helper for `Visibility`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/VisibilityHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:44 o'clock GMT+00:00

Constructor Summary
`VisibilityHelper()`

Method Summary
`static short` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, short that)`
`static short` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, short value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisibilityHelper

    public VisibilityHelper()

Method Detail

### insert

    public static void insert(Any a,
                              short that)

### extract

    public static short extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static short read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             short value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.